Keiza Capital Docs

​Payments Pix

Endpoint

​Get All

GET
https://sandbox.keizacapital.com.br
/auth/payment/pix

​Get All › query Parameters

  • pageinteger
  • limitinteger · min: 1 · max: 100

​Get All › Responses

    • currentPageinteger
      Example: 1
    • pageSizeinteger
      Example: 1
    • totalItemsinteger
      Example: 1
    • totalPagesinteger
      Example: 1
    • dataobject[]

​Create

POST
https://sandbox.keizacapital.com.br
/auth/payment/pix

​Create › Request Body

  • amountnumber · required
  • selfEarnedFeesnumber
  • externalIdstring
  • descriptionstring
  • callbackSuccessUrlstring
    Example: https://example.com.br/success
  • dueDatestring
    Example: 2025-04-12

​Create › Responses

    No schema specified

​Get by id

GET
https://sandbox.keizacapital.com.br
/auth/payment/pix/{id}

​Get by id › path Parameters

  • idstring · required

​Get by id › Responses

    No schema specified

​Update

PUT
https://sandbox.keizacapital.com.br
/auth/payment/pix/{id}

​Update › path Parameters

  • idstring · required

​Update › Request Body

  • amountnumber
    Example: 10
  • selfEarnedFeesnumber
    Example: 1
  • externalIdstring
    Example: a externalId reference
  • descriptionstring
    Example: a description example
  • callbackSuccessUrlstring
    Example: https://example.com.br/success
  • dueDatestring
    Example: 2025-04-12

​Update › Responses

    No schema specified

​sandboxOnly Pay

POST
https://sandbox.keizacapital.com.br
/auth/payment/pix/sandboxOnly/pay

​sandboxOnly Pay › Request Body

  • idstring · required

​sandboxOnly Pay › Responses

    No schema specified

​Get earned fees balance

GET
https://sandbox.keizacapital.com.br
/auth/payment/pix/earnedFeesBalance

​Get earned fees balance › Responses

    No schema specified

​Withdraw earned fees

POST
https://sandbox.keizacapital.com.br
/auth/payment/pix/withdrawEarnedFees

​Withdraw earned fees › Request Body

  • amountnumber · required

​Withdraw earned fees › Responses

    No schema specified

​Public Get By ID

GET
https://sandbox.keizacapital.com.br
/payment/pix/{id}

​Public Get By ID › path Parameters

  • idstring · required

​Public Get By ID › Responses

    No schema specified